#ifndef FULL_PROCESS__HPP
#define FULL_PROCESS__HPP

#ifdef HDRIP_EXPORTS
#define HDRIP_API __declspec(dllexport)
#else
#define HDRIP_API __declspec(dllimport)
#endif

extern "C" HDRIP_API float* full_process(float* data, unsigned int width, unsigned int height,
  float exposure,
  float contrast,
  float yCs, float yCb, float yCm, float yCw, float yCh,
  bool lms, bool lmb, bool lmm, bool lmw, bool lmh,
  float saturation,
  float ce_sel_light_l, float ce_sel_light_h, float ce_sel_chr_l, float ce_sel_chr_h, float ce_sel_hue_l, float ce_sel_hue_h, float ce_tol, float ce_edit_hue, float ce_edit_expo, float ce_edit_con, float ce_edit_sat, bool ce_mask);

#endif