#ifndef MT_INTERPOLATION__HPP
#define MT_INTERPOLATION__HPP

#include <Eigen/Core>

class MT_interpolation
{
public:
  float* xInterp;
  const float* xData;
  unsigned int length;
  const float* xd;
  const float* yd;
  unsigned int length_xd_yd;

  MT_interpolation(float* xI = NULL, const float* xD = NULL, unsigned int l = 0, const float* x = NULL, const float* y = NULL, unsigned int lxdyd = 0) :xInterp(xI), xData(xD), length(l), xd(x), yd(y), length_xd_yd(lxdyd) {};
};



#endif
